Panda3D

Loading...
Searching...
No Matches
Macros | Typedefs | Enumerations | Functions
pgrid.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandaFramework.h"`
`#include "pandaNode.h"`
`#include "transformState.h"`
`#include "clockObject.h"`
`#include "string_utils.h"`
`#include "pvector.h"`
`#include "panda_getopt.h"`
`#include "preprocess_argv.h"`

Go to the source code of this file.

## Macros
#define | DO_FP_MODULUS(VAL, MAXVAL)
#define | GRIDCELLSIZE 5.0
#define | MAX_RADIUS 4.0*GRIDCELLSIZE
#define | MAX_REVOLUTION_ANGVEL 60
#define | MAX_ROTATION_ANGVEL 600
#define | MAX_VEL (fabs(wander_area_pos_offset))
#define | MIN_RADIUS 0.1*GRIDCELLSIZE
#define | MIN_REVOLUTION_ANGVEL 30
#define | MIN_ROTATION_ANGVEL 30
#define | MIN_VEL 2.0
#define | MIN_WANDERAREA_DIMENSION 120.0f
#define | RANDFRAC (rand()/(PN_stdfloat)(RAND_MAX))

## Typedefs
typedef pvector< GriddedFilename > | GriddedFilenames
typedef pvector< gridded_file_info > | GriddedInfoArray

## Enumerations
enum | GriddedMotionType { None , Rotation , LinearMotion }

## Functions
void | get_command_line_filenames (int argc, char *argv[], pvector< Filename > &static_filenames, GriddedFilenames &gridded_filenames)
bool | get_command_line_opts (int &argc, char **&argv)
void | load_gridded_models (WindowFramework *window, GriddedFilenames &filenames, GriddedInfoArray &info_arr)
int | main (int argc, char **argv)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2002-04-03

Definition in file pgrid.cxx.

## Macro Definition Documentation

## ◆ DO_FP_MODULUS

#define DO_FP_MODULUS | ( |  | VAL,
|  |  | MAXVAL )

Value:
{if(VAL > MAXVAL) {int idivresult = (int)(VAL / (PN_stdfloat)MAXVAL); VAL=VAL-idivresult*MAXVAL;} else \
if(VAL < -MAXVAL) {int idivresult = (int)(VAL / (PN_stdfloat)MAXVAL); VAL=VAL+idivresult*MAXVAL;}}

## ◆ GRIDCELLSIZE

#define GRIDCELLSIZE 5.0

Definition at line 59 of file pgrid.cxx.

## ◆ MIN_WANDERAREA_DIMENSION

#define MIN_WANDERAREA_DIMENSION 120.0f

Definition at line 62 of file pgrid.cxx.

## ◆ RANDFRAC

#define RANDFRAC (rand()/(PN_stdfloat)(RAND_MAX))

Definition at line 23 of file pgrid.cxx.

## Typedef Documentation

## ◆ GriddedFilenames

typedef pvector<GriddedFilename> GriddedFilenames

Definition at line 33 of file pgrid.cxx.

## ◆ GriddedInfoArray

typedef pvector<gridded_file_info> GriddedInfoArray

Definition at line 55 of file pgrid.cxx.

## Enumeration Type Documentation

## ◆ GriddedMotionType

enum GriddedMotionType

Definition at line 57 of file pgrid.cxx.

## Function Documentation

## ◆ get_command_line_filenames()

void get_command_line_filenames | ( | int | argc,
|  | char * | argv[],
|  | pvector< Filename > & | static_filenames,
|  | GriddedFilenames & | gridded_filenames )

Definition at line 179 of file pgrid.cxx.

## ◆ get_command_line_opts()

bool get_command_line_opts | ( | int & | argc,
|  | char **& | argv )

Definition at line 148 of file pgrid.cxx.

## ◆ load_gridded_models()

void load_gridded_models | ( | WindowFramework * | window,
|  | GriddedFilenames & | filenames,
|  | GriddedInfoArray & | info_arr )

Definition at line 213 of file pgrid.cxx.

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 388 of file pgrid.cxx.